#include <list>
#include "stringMatchTest.h"

#include <string/LinearString.h>
#include <stringology/exact/ExactFactorMatch.h>

#define CPPUNIT_IMPLY(x, y) CPPUNIT_ASSERT(!(x) || (y))

CPPUNIT_TEST_SUITE_NAMED_REGISTRATION( stringMatchTest, "string" );
CPPUNIT_TEST_SUITE_REGISTRATION( stringMatchTest );

void stringMatchTest::setUp() {
}

void stringMatchTest::tearDown() {
}

void stringMatchTest::testStringMatch() {
	string::LinearString < > linear1({alphabet::Symbol(0), alphabet::Symbol(1), alphabet::Symbol(2), alphabet::Symbol(3)});
	string::LinearString < > linear2({alphabet::Symbol(1), alphabet::Symbol(2), alphabet::Symbol(3)});

	CPPUNIT_ASSERT ( stringology::exact::ExactFactorMatch::match ( linear1, linear2 ).count ( 1 ) );
}

